|  | Home | Documentation | soap_wsa_data Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
soap_wsa_data Struct Reference

plugin data to override callbacks More...

`#include <wsaapi.h>`

## Public Attributes

int(* | fheader )(struct soap *)
void(* | fseterror )(struct soap *, const char **, const char **)
int(* | fresponse )(struct soap *, int, ULONG64)
int(* | fdisconnect )(struct soap *)
void * | transfer
int(* | fposthdr )(struct soap *, const char *, const char *)
int(* | fparse )(struct soap *)
int(* | fparsehdr )(struct soap *, const char *, const char *)
int(* | fresolve )(struct soap *, const char *, struct in_addr *inaddr)
int(* | fconnect )(struct soap *, const char *, const char *, int)
int(* | fclosesocket )(struct soap *, SOAP_SOCKET)
int(* | fshutdownsocket )(struct soap *, SOAP_SOCKET, int)
SOAP_SOCKET(* | fopen )(struct soap *, const char *, const char *, int)
int(* | fclose )(struct soap *)
int(* | fsend )(struct soap *, const char *, size_t)
size_t(* | frecv )(struct soap *, char *, size_t)
int(* | fpoll )(struct soap *)

## Detailed Description

plugin data to override callbacks

## Member Data Documentation

## ◆ fclose

int(* soap_wsa_data::fclose) (struct soap *)

saved fclose transfer callbacks

## ◆ fclosesocket

int(* soap_wsa_data::fclosesocket) (struct soap *, SOAP_SOCKET)

saved fclosesocket transfer callbacks

## ◆ fconnect

int(* soap_wsa_data::fconnect) (struct soap *, const char *, const char *, int)

saved fconnect transfer callbacks

## ◆ fdisconnect

int(* soap_wsa_data::fdisconnect) (struct soap *)

fdisconnect callback is used to accept HTTP 200 or 202

## ◆ fheader

int(* soap_wsa_data::fheader) (struct soap *)

fheader callback is invoked immediately after parsing a SOAP Header

## ◆ fopen

SOAP_SOCKET(* soap_wsa_data::fopen) (struct soap *, const char *, const char *, int)

saved fopen transfer callbacks

## ◆ fparse

int(* soap_wsa_data::fparse) (struct soap *)

saved fparse transfer callbacks

## ◆ fparsehdr

int(* soap_wsa_data::fparsehdr) (struct soap *, const char *, const char *)

saved fparsehdr transfer callbacks

## ◆ fpoll

int(* soap_wsa_data::fpoll) (struct soap *)

saved fpoll transfer callbacks

## ◆ fposthdr

int(* soap_wsa_data::fposthdr) (struct soap *, const char *, const char *)

saved fposthdr transfer callbacks

## ◆ frecv

size_t(* soap_wsa_data::frecv) (struct soap *, char *, size_t)

saved frecv transfer callbacks

## ◆ fresolve

int(* soap_wsa_data::fresolve) (struct soap *, const char *, struct in_addr *inaddr)

saved fresolve transfer callbacks

## ◆ fresponse

int(* soap_wsa_data::fresponse) (struct soap *, int, ULONG64)

fresponse callback is used to change a HTTP response into a HTTP POST

## ◆ fsend

int(* soap_wsa_data::fsend) (struct soap *, const char *, size_t)

saved fsend transfer callbacks

## ◆ fseterror

void(* soap_wsa_data::fseterror) (struct soap *, const char **, const char **)

fseterror callback is used to inspect and change gSOAP error codes

## ◆ fshutdownsocket

int(* soap_wsa_data::fshutdownsocket) (struct soap *, SOAP_SOCKET, int)

saved fshutdownsocket transfer callbacks

## ◆ transfer

void* soap_wsa_data::transfer

flag to inherit soap context transfer callbacks (default) or start new

The documentation for this struct was generated from the following file:

- wsaapi.h